Rated 5 out of 5 stars

please update.!!!!, I really need this theme and it's not compatible with this new version of firefox !!!